// To make use of this Joystic Library, we must first download it at the address:
// https://github.com/MHeironimus/ArduinoJoystickLibrary 

#include <Joystick.h>

#define BUTTON_1 4 
#define BUTTON_2 5  
#define BUTTON_3 6 
#define BUTTON_4 7 

#define DELAY 100

Joystick_ Joystick;

void setup() {
  pinMode(BUTTON_1, INPUT_PULLUP); 
  pinMode(BUTTON_2, INPUT_PULLUP);
  pinMode(BUTTON_3, INPUT_PULLUP);
  pinMode(BUTTON_4, INPUT_PULLUP); 
  Joystick.begin();     
  Joystick.setYAxisRange(1023, 0); // You can reverse the order of these values ​​to shift up or down   
  Joystick.setXAxisRange(1023, 0);    
  Joystick.setThrottleRange(1023, 0);
  Joystick.setRudderRange(1023, 0);
}

void loop() { 
  Joystick.setXAxis(analogRead(A0));  
  Joystick.setYAxis(analogRead(A1));  
  Joystick.setThrottle(analogRead(A2));
  Joystick.setRudder(analogRead(A3));
  
  if (digitalRead(BUTTON_1) == LOW) {  
    Joystick.setButton(0, 1);   
  }
  else{
    Joystick.setButton(0, 0);   
  }

  if (digitalRead(BUTTON_2) == LOW) {  
    Joystick.setButton(1, 1);   
  }
  else{
    Joystick.setButton(1, 0);       
  }

  if (digitalRead(BUTTON_3) == LOW) {  
    Joystick.setButton(2, 1);   
  }
  else{
    Joystick.setButton(2, 0);      
  }

  if (digitalRead(BUTTON_4) == LOW) {  
    Joystick.setButton(3, 1);   
  }
  else{
    Joystick.setButton(3, 0);      
  }

  delay(DELAY);      
}
